Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Department Total Points

Get Departments' Total Points
GET /highscores/{highscoreId}/departments
https://api.relesysapp.net/api/v1/highscores/{highscoreId}/departments
Get total points for each department in the highscore with ID highscoreId.
Default sort is by value in descending order.

Please note: Only users with more than 0 points will be shown.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
departmentId string / guid Filterable optional
value integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"departmentId":"b1444627-30bc-4dd0-9806-6b25b770c53e","url":null,"value":250},{"departmentId":"d7b272b4-2f18-4e6a-947c-a19ca2fc3131","url":null,"value":500}]}
object
  count integer      
  data array[object]      
   id string / guid      
   url string      
   value integer      
  nextUrl string      
  previousUrl string